Bulk upgrade agents

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/bulk_upgrade
Auth

Upgrade multiple agents to a newer version, with optional rollout controls.

Required authorization

Privileges fleet-agents-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agents union string[] | string required
batchSize number
dryRun boolean
force boolean
includeInactive boolean · default: false
rollout_duration_seconds number · min: 600
skipRateLimitCheck boolean
source_uri string
start_time string
version string required

Responses

Successful response

application/json
Any of:
actionId string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}